libmpd-0.9.0.7: An MPD client library.

Copyright | (c) Joachim Fasting 2012
License | MIT
Maintainer | joachifm@fastmail.fm
Stability | stable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

Network.MPD.Applicative.Status

Description

Querying MPD's status.

Synopsis

- clearError :: Command ()
- currentSong :: Command (Maybe Song)
- idle :: [Subsystem] -> Command [Subsystem]
- noidle :: Command ()
- status :: Command Status
- stats :: Command Stats

# Documentation

clearError :: Command () #

Clear current error message in status.

currentSong :: Command (Maybe Song) #

Song metadata for currently playing song, if any.

idle :: [Subsystem] -> Command [Subsystem] #

Wait until there is noteworthy change in one or more of MPD's subsystems. When active, only `noidle` commands are allowed.

noidle :: Command () #

Cancel an `idle` request.

status :: Command Status #

Get the current status of the player.

stats :: Command Stats #

Get database statistics.